//---------------------------------------------------------------------------
#pragma hdrstop
#include <vcl.h>


#include "GUI_u.h"
#include "Kl_Uhrwerk.h"
#include "KL_UhrSteuerung.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TdieGUI *dieGUI;

Uhrwerk *einUhrwerk;
Uhrsteuerung *eineUhrsteuerung;

//---------------------------------------------------------------------------

__fastcall TdieGUI::TdieGUI(TComponent* Owner)
        : TForm(Owner)
{
  einUhrwerk = new Uhrwerk(this);
  eineUhrsteuerung = new Uhrsteuerung(einUhrwerk, this);
}
//---------------------------------------------------------------------------

void __fastcall TdieGUI::btnT1Click(TObject *Sender)
{
   eineUhrsteuerung->gedruecktT1();
}
//---------------------------------------------------------------------------

void __fastcall TdieGUI::btnT2Click(TObject *Sender)
{
   eineUhrsteuerung->gedruecktT2();
}
//---------------------------------------------------------------------------

void TdieGUI::setzeBlinken(enum AnzeigeModus value) {
  blinkTimer->Enabled = false;
  a_Blinken = value;
  lblH->Font->Color = clWindowText;
  lblMin->Font->Color = clWindowText;
  lblS->Font->Color = clWindowText;
  if (value != AUS)
     blinkTimer->Enabled = true;
}
//---------------------------------------------------------------------------

void TdieGUI::anzeigenZeit(int h, int min, int s) {
  lblH->Caption = IntToStr(h)+ " ";
  lblMin->Caption = IntToStr(min)+ " ";
  lblS->Caption = IntToStr(s)+ " ";
}
//---------------------------------------------------------------------------

void __fastcall TdieGUI::blinkTimerTimer(TObject *Sender)
{
   switch (a_Blinken) {
   case ANZ_H:
          if (lblH->Font->Color == clWindowText)
              lblH->Font->Color = clWindow;
          else
              lblH->Font->Color = clWindowText;
          break;
   case ANZ_MIN:
          if (lblMin->Font->Color == clWindowText)
              lblMin->Font->Color = clWindow;
          else
              lblMin->Font->Color = clWindowText;
           break;
   case ANZ_S:
          if (lblS->Font->Color == clWindowText)
              lblS->Font->Color = clWindow;
          else
              lblS->Font->Color = clWindowText;
          break;
   }
}
//---------------------------------------------------------------------------

void __fastcall TdieGUI::derTaktgeberTimer(TObject *Sender)
{
   einUhrwerk->weiterschalten();
}
//---------------------------------------------------------------------------

