// Implementierung der Operationen

#include "Kl_Uhrwerk.h"

Uhrwerk::Uhrwerk(TdieGUI* eineGUI) {
  dieGUI = eineGUI;
  stunden = 0; minuten = 0; sekunden = 0;
  // derTaktgeber->Interval = 1000;
  // alle 1000 ms die Operation weiterschalten() aufrufen
  // derTaktgeber->Enabled = true;
}
//---------------------------------------------------------------------------

void Uhrwerk::einstellenUhr(int h, int min, int s) {
  stunden = h;
  minuten = min;
  sekunden = s;
  dieGUI->anzeigenZeit(stunden, minuten, sekunden);
}
//---------------------------------------------------------------------------

void Uhrwerk::erhoehenStunden() {
  stunden = (stunden+1) % 24;
  dieGUI->anzeigenZeit(stunden, minuten, sekunden);
}
//---------------------------------------------------------------------------

void Uhrwerk::erhoehenMinuten() {
  minuten = (minuten + 1) % 60;
  dieGUI->anzeigenZeit(stunden, minuten, sekunden);
}
//---------------------------------------------------------------------------

void Uhrwerk::erhoehenSekunden() {
  sekunden = (sekunden + 1) % 60;
  dieGUI->anzeigenZeit(stunden, minuten, sekunden);
}
//---------------------------------------------------------------------------


void Uhrwerk::weiterschalten() {
  erhoehenSekunden();
  if (sekunden == 0)
      {
      erhoehenMinuten();
      if (minuten == 0)
          erhoehenStunden();
      }
}
//---------------------------------------------------------------------------

